summaryrefslogtreecommitdiff
path: root/meta/recipes-sato
diff options
context:
space:
mode:
authorSaul Wold <Saul.Wold@intel.com>2010-11-22 13:57:13 +0000
committerRichard Purdie <rpurdie@linux.intel.com>2010-11-22 13:57:13 +0000
commitcfe12efb5ec9586dab6961f141d52b103bd8b1d1 (patch)
tree7108e22aa7ddf6cfc2f1b6c6b73a811187706ecb /meta/recipes-sato
parent762fd6b7b3b22d7a8cb80ef9e9ba62e7ef21af3e (diff)
downloadopenembedded-core-cfe12efb5ec9586dab6961f141d52b103bd8b1d1.tar.gz
openembedded-core-cfe12efb5ec9586dab6961f141d52b103bd8b1d1.tar.bz2
openembedded-core-cfe12efb5ec9586dab6961f141d52b103bd8b1d1.zip
Meta: Recipe Reogranization
This is the next stage of recipe reorganization, in this stage many recipes where moved to a new meta-demoapps layer since this is more appropriate for demo usage then the core. Additional some recipes were moved to meta-extras to indicate they may be depercated at a future time. A number of recipes were modified since dependencies need to be corrected. Signed-off-by: Saul Wold <Saul.Wold@intel.com>
Diffstat (limited to 'meta/recipes-sato')
-rw-r--r--meta/recipes-sato/claws-mail/claws-mail.inc57
-rw-r--r--meta/recipes-sato/claws-mail/claws-mail_2.9.1.bb1
-rw-r--r--meta/recipes-sato/claws-mail/claws-plugin-gtkhtml2-viewer_0.15.bb14
-rw-r--r--meta/recipes-sato/claws-mail/claws-plugin-maildir_0.24.4.bb14
-rw-r--r--meta/recipes-sato/claws-mail/claws-plugin-mailmbox_1.13.bb14
-rw-r--r--meta/recipes-sato/claws-mail/claws-plugin-rssyl_0.13.bb14
-rw-r--r--meta/recipes-sato/claws-mail/files/desktop.patch19
-rw-r--r--meta/recipes-sato/claws-mail/files/fix-build.patch24
-rw-r--r--meta/recipes-sato/claws-mail/files/owl-window-menu.patch1009
-rw-r--r--meta/recipes-sato/claws-mail/files/streamline-ui.patch1008
-rw-r--r--meta/recipes-sato/clipboard-manager/clipboard-manager_0.6.4.bb33
-rw-r--r--meta/recipes-sato/clipboard-manager/files/daemonize.patch44
-rw-r--r--meta/recipes-sato/clipboard-manager/files/makefile.patch18
-rw-r--r--meta/recipes-sato/clipboard-manager/files/script.patch39
-rw-r--r--meta/recipes-sato/epdfview/epdfview/epdfview-ui-print.xml12
-rw-r--r--meta/recipes-sato/epdfview/epdfview/epdfview-ui.xml57
-rw-r--r--meta/recipes-sato/epdfview/epdfview/epdfview.desktop10
-rw-r--r--meta/recipes-sato/epdfview/epdfview/owl-menus.patch325
-rw-r--r--meta/recipes-sato/epdfview/epdfview_0.1.6.bb21
-rw-r--r--meta/recipes-sato/epdfview/epdfview_0.1.7.bb21
-rw-r--r--meta/recipes-sato/kf/files/fix-configure.patch25
-rw-r--r--meta/recipes-sato/kf/files/fix-desktop-file.patch20
-rw-r--r--meta/recipes-sato/kf/files/gcc4.patch30
-rw-r--r--meta/recipes-sato/kf/kf_0.5.4.1.bb16
-rw-r--r--meta/recipes-sato/matchbox-themes-extra/matchbox-themes-extra_0.3.bb25
-rw-r--r--meta/recipes-sato/matchbox-themes-extra/matchbox-themes-extra_svn.bb30
-rw-r--r--meta/recipes-sato/matchbox-themes-gtk/files/gtkrc1
-rw-r--r--meta/recipes-sato/matchbox-themes-gtk/matchbox-themes-gtk.bb17
-rw-r--r--meta/recipes-sato/tasks/task-poky-x11-sato.bb2
-rw-r--r--meta/recipes-sato/web/web/owl-window-menu.patch17
-rw-r--r--meta/recipes-sato/web/web_svn.bb2
31 files changed, 3 insertions, 2936 deletions
diff --git a/meta/recipes-sato/claws-mail/claws-mail.inc b/meta/recipes-sato/claws-mail/claws-mail.inc
deleted file mode 100644
index 04401df2f5..0000000000
--- a/meta/recipes-sato/claws-mail/claws-mail.inc
+++ /dev/null
@@ -1,57 +0,0 @@
-SECTION = "x11/network"
-DESCRIPTION = "Mail user agent"
-#DEPENDS = "gtk+ gpgme libetpan libgnomeprint aspell openssl"
-DEPENDS = "gtk+ libetpan openssl libowl"
-LICENSE = "GPL"
-PR = "r6"
-
-SRC_URI = "\
- ${SOURCEFORGE_MIRROR}/sylpheed-claws/claws-mail-${PV}.tar.bz2 \
- file://desktop.patch;patch=1 \
- file://streamline-ui.patch;patch=1 \
- file://owl-window-menu.patch;patch=1 \
- file://fix-build.patch;patch=1 \
- "
-
-FILES_${PN} = "${bindir} ${datadir}/pixmaps ${datadir}/applications"
-
-#EXTRA_OECONF = "--disable-aspell-test \
-# --disable-dillo-viewer-plugin --with-aspell-prefix=${STAGING_DIR_HOST}${prefix} \
-# --enable-aspell"
-
-EXTRA_OECONF = "--disable-aspell-test \
- --disable-aspell \
- --disable-manual \
-# --disable-openssl \
- --disable-crash-dialog \
- --disable-jpilot \
- --disable-trayicon-plugin \
- --disable-spamassassin-plugin \
- --disable-bogofilter-plugin \
- --disable-pgpcore-plugin \
- --disable-pgpmime-plugin \
- --disable-pgpinline-plugin \
- --disable-dillo-viewer-plugin \
- --disable-clamav-plugin \
-# --disable-libetpan \
- --disable-gnomeprint \
- --disable-valgrind \
- --disable-static \
- "
-
-CFLAGS += "-D_GNU_SOURCE"
-
-inherit autotools pkgconfig gettext
-
-do_install_append() {
- install -d ${D}${datadir}/applications
- install -m 0644 claws-mail.desktop ${D}${datadir}/applications/
- install -d ${D}${datadir}/pixmaps
- install -m 0644 claws-mail.png ${D}${datadir}/pixmaps/
-}
-
-#python populate_packages_prepend () {
-# abiword_libdir = bb.data.expand('${libdir}/claws-mail/plugins', d)
-#
-# do_split_packages(d, abiword_libdir, '^(.*)\.so$', 'claws-mail-plugin-%s', 'Claws plugin for %s', extra_depends='')
-#}
diff --git a/meta/recipes-sato/claws-mail/claws-mail_2.9.1.bb b/meta/recipes-sato/claws-mail/claws-mail_2.9.1.bb
deleted file mode 100644
index f8a8396b95..0000000000
--- a/meta/recipes-sato/claws-mail/claws-mail_2.9.1.bb
+++ /dev/null
@@ -1 +0,0 @@
-require claws-mail.inc
diff --git a/meta/recipes-sato/claws-mail/claws-plugin-gtkhtml2-viewer_0.15.bb b/meta/recipes-sato/claws-mail/claws-plugin-gtkhtml2-viewer_0.15.bb
deleted file mode 100644
index 82918173e4..0000000000
--- a/meta/recipes-sato/claws-mail/claws-plugin-gtkhtml2-viewer_0.15.bb
+++ /dev/null
@@ -1,14 +0,0 @@
-SECTION = "x11/network"
-DESCRIPTION = "Mail user agent plugins"
-DEPENDS = "claws-mail gtkhtml2 curl"
-LICENSE = "GPL"
-PR = "r1"
-
-SRC_URI = "http://www.claws-mail.org/downloads/plugins/gtkhtml2_viewer-${PV}.tar.gz"
-
-inherit autotools pkgconfig gettext
-
-S = "${WORKDIR}/gtkhtml2_viewer-${PV}"
-
-FILES_${PN} = "${libdir}/claws-mail/plugins/*.so"
-
diff --git a/meta/recipes-sato/claws-mail/claws-plugin-maildir_0.24.4.bb b/meta/recipes-sato/claws-mail/claws-plugin-maildir_0.24.4.bb
deleted file mode 100644
index 4351d1e5de..0000000000
--- a/meta/recipes-sato/claws-mail/claws-plugin-maildir_0.24.4.bb
+++ /dev/null
@@ -1,14 +0,0 @@
-SECTION = "x11/network"
-DESCRIPTION = "Mail user agent plugins"
-DEPENDS = "claws-mail db"
-LICENSE = "GPL"
-PR = "r1"
-
-SRC_URI = "http://www.claws-mail.org/downloads/plugins/maildir-${PV}.tar.gz"
-
-inherit autotools pkgconfig
-
-S = "${WORKDIR}/maildir-${PV}"
-
-FILES_${PN} = "${libdir}/claws-mail/plugins/*.so"
-
diff --git a/meta/recipes-sato/claws-mail/claws-plugin-mailmbox_1.13.bb b/meta/recipes-sato/claws-mail/claws-plugin-mailmbox_1.13.bb
deleted file mode 100644
index fe7041494f..0000000000
--- a/meta/recipes-sato/claws-mail/claws-plugin-mailmbox_1.13.bb
+++ /dev/null
@@ -1,14 +0,0 @@
-SECTION = "x11/network"
-DESCRIPTION = "Mail user agent plugins"
-DEPENDS = "claws-mail"
-LICENSE = "GPL"
-PR = "r2"
-
-SRC_URI = "http://www.claws-mail.org/downloads/plugins/mailmbox-${PV}.tar.gz"
-
-inherit autotools pkgconfig
-
-S = "${WORKDIR}/mailmbox-${PV}"
-
-FILES_${PN} = "${libdir}/claws-mail/plugins/*.so"
-FILES_${PN}-dbg = "${libdir}/claws-mail/plugins/.debug"
diff --git a/meta/recipes-sato/claws-mail/claws-plugin-rssyl_0.13.bb b/meta/recipes-sato/claws-mail/claws-plugin-rssyl_0.13.bb
deleted file mode 100644
index de0705c7fd..0000000000
--- a/meta/recipes-sato/claws-mail/claws-plugin-rssyl_0.13.bb
+++ /dev/null
@@ -1,14 +0,0 @@
-SECTION = "x11/network"
-DESCRIPTION = "Mail user agent plugins"
-DEPENDS = "claws-mail libxml2 curl glib-2.0 gtk+"
-LICENSE = "GPL"
-PR = "r1"
-
-SRC_URI = "http://www.claws-mail.org/downloads/plugins/rssyl-${PV}.tar.gz"
-
-inherit autotools pkgconfig gettext
-
-S = "${WORKDIR}/rssyl-${PV}"
-
-FILES_${PN} = "${libdir}/claws-mail/plugins/*.so"
-
diff --git a/meta/recipes-sato/claws-mail/files/desktop.patch b/meta/recipes-sato/claws-mail/files/desktop.patch
deleted file mode 100644
index c5ed7a9c7d..0000000000
--- a/meta/recipes-sato/claws-mail/files/desktop.patch
+++ /dev/null
@@ -1,19 +0,0 @@
-Index: claws-mail-2.9.1/claws-mail.desktop
-===================================================================
---- claws-mail-2.9.1.orig/claws-mail.desktop 2007-04-24 17:40:20.000000000 +0100
-+++ claws-mail-2.9.1/claws-mail.desktop 2007-04-25 07:08:36.000000000 +0100
-@@ -1,11 +1,11 @@
- [Desktop Entry]
- Encoding=UTF-8
--Name=Claws Mail
-+Name=Mail
- Exec=claws-mail
- Icon=claws-mail
--Info="Claws Mail"
-+Info=Email Application
- Categories=GTK;Network;Email;
--Comment="Gtk+ based Mail Client"
-+Comment=Email Application
- Terminal=false
- Type=Application
- StartupNotify=true
diff --git a/meta/recipes-sato/claws-mail/files/fix-build.patch b/meta/recipes-sato/claws-mail/files/fix-build.patch
deleted file mode 100644
index 2f30899fe1..0000000000
--- a/meta/recipes-sato/claws-mail/files/fix-build.patch
+++ /dev/null
@@ -1,24 +0,0 @@
-Remove duplicate file entries as this breaks install with new Automake
-
-JL 19/03/10
-
-Index: claws-mail-2.9.1/src/gtk/Makefile.am
-===================================================================
---- claws-mail-2.9.1.orig/src/gtk/Makefile.am 2007-03-22 07:52:47.000000000 +0000
-+++ claws-mail-2.9.1/src/gtk/Makefile.am 2010-03-19 14:54:06.565828281 +0000
-@@ -44,7 +44,6 @@
- filesel.h \
- foldersort.h \
- gtkaspell.h \
-- gtksctree.h \
- gtkshruler.h \
- gtksctree.h \
- gtksourceprintjob.h \
-@@ -57,7 +56,6 @@
- menu.h \
- pluginwindow.h \
- prefswindow.h \
-- gtkvscrollbutton.h \
- progressdialog.h \
- quicksearch.h \
- sslcertwindow.h \
diff --git a/meta/recipes-sato/claws-mail/files/owl-window-menu.patch b/meta/recipes-sato/claws-mail/files/owl-window-menu.patch
deleted file mode 100644
index 54c61668a9..0000000000
--- a/meta/recipes-sato/claws-mail/files/owl-window-menu.patch
+++ /dev/null
@@ -1,1009 +0,0 @@
-Index: claws-mail-2.9.1/src/addressbook.c
-===================================================================
---- claws-mail-2.9.1.orig/src/addressbook.c 2007-04-25 10:18:13.000000000 +0100
-+++ claws-mail-2.9.1/src/addressbook.c 2007-04-25 10:30:23.000000000 +0100
-@@ -941,7 +941,6 @@
- sizeof(addressbook_entries[0]);
- menubar = menubar_create(window, addressbook_entries, n_entries,
- "<AddressBook>", NULL);
-- gtk_box_pack_start(GTK_BOX(vbox), menubar, FALSE, TRUE, 0);
- menu_factory = gtk_item_factory_from_widget(menubar);
-
- vbox2 = gtk_vbox_new(FALSE, BORDER_WIDTH);
-Index: claws-mail-2.9.1/src/gtk/menu.c
-===================================================================
---- claws-mail-2.9.1.orig/src/gtk/menu.c 2007-04-25 10:18:13.000000000 +0100
-+++ claws-mail-2.9.1/src/gtk/menu.c 2007-04-25 10:30:23.000000000 +0100
-@@ -35,10 +35,7 @@
- #include "menu.h"
- #include "utils.h"
-
--#ifdef MAEMO
--#include <hildon-widgets/hildon-program.h>
--#include <gtk/gtkmain.h>
--#endif
-+#include <libowl/owlwindowmenu.h>
-
- static void connect_accel_change_signals(GtkWidget* widget, GtkWidget *wid2) ;
-
-@@ -49,20 +46,14 @@
- GtkItemFactory *factory;
- GtkWidget *menubar;
-
--#ifdef MAEMO
- factory = gtk_item_factory_new(GTK_TYPE_MENU, path, NULL);
--#else
-- factory = gtk_item_factory_new(GTK_TYPE_MENU_BAR, path, NULL);
--#endif
- gtk_item_factory_set_translate_func(factory, menu_translate,
- NULL, NULL);
- gtk_item_factory_create_items(factory, n_entries, entries, data);
- gtk_window_add_accel_group (GTK_WINDOW (window), factory->accel_group);
-
- menubar = gtk_item_factory_get_widget(factory, path);
--#ifdef MAEMO
-- hildon_window_set_menu(HILDON_WINDOW(window), GTK_MENU(menubar));
--#endif
-+ owl_set_window_menu(GTK_WINDOW(window), GTK_MENU(menubar));
- return menubar;
- }
-
-Index: claws-mail-2.9.1/src/mainwindow.c
-===================================================================
---- claws-mail-2.9.1.orig/src/mainwindow.c 2007-04-25 10:26:40.000000000 +0100
-+++ claws-mail-2.9.1/src/mainwindow.c 2007-04-25 10:30:23.000000000 +0100
-@@ -1094,8 +1094,6 @@
- n_menu_entries = sizeof(mainwin_entries) / sizeof(mainwin_entries[0]);
- menubar = menubar_create(window, mainwin_entries,
- n_menu_entries, "<Main>", mainwin);
-- gtk_widget_show(menubar);
-- gtk_box_pack_start(GTK_BOX(vbox), menubar, FALSE, TRUE, 0);
- ifactory = gtk_item_factory_from_widget(menubar);
-
- /* gtk_widget_show(gtk_item_factory_get_item(ifactory,"/Message/Mailing-List"));
-Index: claws-mail-2.9.1/src/messageview.c
-===================================================================
---- claws-mail-2.9.1.orig/src/messageview.c 2007-04-25 10:18:13.000000000 +0100
-+++ claws-mail-2.9.1/src/messageview.c 2007-04-25 10:30:23.000000000 +0100
-@@ -414,8 +414,6 @@
- n_menu_entries = sizeof(msgview_entries) / sizeof(msgview_entries[0]);
- menubar = menubar_create(window, msgview_entries,
- n_menu_entries, "<MessageView>", msgview);
-- gtk_widget_show(menubar);
-- gtk_box_pack_start(GTK_BOX(vbox), menubar, FALSE, TRUE, 0);
-
- if (prefs_common.toolbar_detachable) {
- handlebox = gtk_handle_box_new();
-@@ -478,6 +476,7 @@
- g_signal_connect(G_OBJECT(window), "key_press_event",
- G_CALLBACK(key_pressed), msgview);
- #endif
-+ gtk_widget_realize(window);
- messageview_add_toolbar(msgview, window);
-
- if (show) {
-Index: claws-mail-2.9.1/configure.ac
-===================================================================
---- claws-mail-2.9.1.orig/configure.ac 2007-04-25 10:18:13.000000000 +0100
-+++ claws-mail-2.9.1/configure.ac 2007-04-25 10:30:23.000000000 +0100
-@@ -406,6 +406,11 @@
- AC_SUBST(GTK_CFLAGS)
- AC_SUBST(GTK_LIBS)
-
-+OWL_CFLAGS=""
-+OWL_LIBS="-lowl"
-+AC_SUBST(OWL_CFLAGS)
-+AC_SUBST(OWL_LIBS)
-+
- dnl GNU/Aspell is used for spell checking
- AC_ARG_ENABLE(aspell,
- [ --disable-aspell Disable GNU/aspell support [default=yes]],
-Index: claws-mail-2.9.1/src/Makefile.am
-===================================================================
---- claws-mail-2.9.1.orig/src/Makefile.am 2007-04-25 10:18:13.000000000 +0100
-+++ claws-mail-2.9.1/src/Makefile.am 2007-04-25 10:30:23.000000000 +0100
-@@ -471,7 +471,8 @@
- $(LIBICONV) \
- $(STARTUP_NOTIFICATION_LIBS) \
- $(LIBETPAN_LIBS) \
-- $(MAEMO_LIBS)
-+ $(MAEMO_LIBS) \
-+ $(OWL_LIBS)
-
- AM_CPPFLAGS = \
- -DG_LOG_DOMAIN=\"Claws-Mail\" \
-@@ -489,6 +490,7 @@
- $(LIBETPAN_CPPFLAGS) \
- $(STARTUP_NOTIFICATION_CFLAGS) \
- $(MAEMO_CFLAGS) \
-+ $(OWL_CFLAGS) \
- -Wno-unused-function
-
- #no-unused-function is there because of bison stuff
-Index: claws-mail-2.9.1/configure
-===================================================================
---- claws-mail-2.9.1.orig/configure 2007-04-25 10:18:13.000000000 +0100
-+++ claws-mail-2.9.1/configure 2007-04-25 10:30:23.000000000 +0100
-@@ -769,7 +769,6 @@
- # include <unistd.h>
- #endif"
-
--gt_needs=
- ac_subst_vars='SHELL
- PATH_SEPARATOR
- PACKAGE_NAME
-@@ -942,6 +941,8 @@
- PASSCRYPT_KEY
- GTK_CFLAGS
- GTK_LIBS
-+OWL_LIBS
-+OWL_CFLAGS
- ASPELL
- ASPELL_CFLAGS
- ASPELL_LIBS
-@@ -2063,7 +2064,6 @@
- >$cache_file
- fi
-
--gt_needs="$gt_needs "
- # Check that the precious variables saved in the cache have kept the same
- # value.
- ac_cache_corrupted=false
-@@ -3001,9 +3001,7 @@
- # Put the nasty error message in config.log where it belongs
- echo "$GNOME2_PKG_ERRORS" >&5
-
-- { echo "$as_me:$LINENO: result: no" >&5
--echo "${ECHO_T}no" >&6; }
-- ac_enable_gnome2=no
-+ ac_enable_gnome2=no
- elif test $pkg_failed = untried; then
- ac_enable_gnome2=no
- else
-@@ -4147,14 +4145,12 @@
-
-
-
--
-- { echo "$as_me:$LINENO: checking for strerror in -lcposix" >&5
--echo $ECHO_N "checking for strerror in -lcposix... $ECHO_C" >&6; }
--if test "${ac_cv_lib_cposix_strerror+set}" = set; then
-+{ echo "$as_me:$LINENO: checking for library containing strerror" >&5
-+echo $ECHO_N "checking for library containing strerror... $ECHO_C" >&6; }
-+if test "${ac_cv_search_strerror+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
-- ac_check_lib_save_LIBS=$LIBS
--LIBS="-lcposix $LIBS"
-+ ac_func_search_save_LIBS=$LIBS
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
-@@ -4177,7 +4173,14 @@
- return 0;
- }
- _ACEOF
--rm -f conftest.$ac_objext conftest$ac_exeext
-+for ac_lib in '' cposix; do
-+ if test -z "$ac_lib"; then
-+ ac_res="none required"
-+ else
-+ ac_res=-l$ac_lib
-+ LIBS="-l$ac_lib $ac_func_search_save_LIBS"
-+ fi
-+ rm -f conftest.$ac_objext conftest$ac_exeext
- if { (ac_try="$ac_link"
- case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-@@ -4195,25 +4198,35 @@
- test ! -s conftest.err
- } && test -s conftest$ac_exeext &&
- $as_test_x conftest$ac_exeext; then
-- ac_cv_lib_cposix_strerror=yes
-+ ac_cv_search_strerror=$ac_res
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
-
-- ac_cv_lib_cposix_strerror=no
-+
- fi
-
- rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-- conftest$ac_exeext conftest.$ac_ext
--LIBS=$ac_check_lib_save_LIBS
-+ conftest$ac_exeext
-+ if test "${ac_cv_search_strerror+set}" = set; then
-+ break
-+fi
-+done
-+if test "${ac_cv_search_strerror+set}" = set; then
-+ :
-+else
-+ ac_cv_search_strerror=no
- fi
--{ echo "$as_me:$LINENO: result: $ac_cv_lib_cposix_strerror" >&5
--echo "${ECHO_T}$ac_cv_lib_cposix_strerror" >&6; }
--if test $ac_cv_lib_cposix_strerror = yes; then
-- LIBS="$LIBS -lcposix"
-+rm conftest.$ac_ext
-+LIBS=$ac_func_search_save_LIBS
- fi
-+{ echo "$as_me:$LINENO: result: $ac_cv_search_strerror" >&5
-+echo "${ECHO_T}$ac_cv_search_strerror" >&6; }
-+ac_res=$ac_cv_search_strerror
-+if test "$ac_res" != no; then
-+ test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
-
--
-+fi
-
- # Find a good install program. We prefer a C program (faster),
- # so one script is as good as another. But avoid the broken or
-@@ -5769,7 +5782,7 @@
- ;;
- *-*-irix6*)
- # Find out which ABI we are using.
-- echo '#line 5772 "configure"' > conftest.$ac_ext
-+ echo '#line 5785 "configure"' > conftest.$ac_ext
- if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
-@@ -8555,11 +8568,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:8558: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:8571: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>conftest.err)
- ac_status=$?
- cat conftest.err >&5
-- echo "$as_me:8562: \$? = $ac_status" >&5
-+ echo "$as_me:8575: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s "$ac_outfile"; then
- # The compiler can only warn and ignore the option if not recognized
- # So say no if there are warnings other than the usual output.
-@@ -8823,11 +8836,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:8826: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:8839: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>conftest.err)
- ac_status=$?
- cat conftest.err >&5
-- echo "$as_me:8830: \$? = $ac_status" >&5
-+ echo "$as_me:8843: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s "$ac_outfile"; then
- # The compiler can only warn and ignore the option if not recognized
- # So say no if there are warnings other than the usual output.
-@@ -8927,11 +8940,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:8930: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:8943: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>out/conftest.err)
- ac_status=$?
- cat out/conftest.err >&5
-- echo "$as_me:8934: \$? = $ac_status" >&5
-+ echo "$as_me:8947: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s out/conftest2.$ac_objext
- then
- # The compiler can only warn and ignore the option if not recognized
-@@ -11224,7 +11237,7 @@
- lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
- lt_status=$lt_dlunknown
- cat > conftest.$ac_ext <<EOF
--#line 11227 "configure"
-+#line 11240 "configure"
- #include "confdefs.h"
-
- #if HAVE_DLFCN_H
-@@ -11324,7 +11337,7 @@
- lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
- lt_status=$lt_dlunknown
- cat > conftest.$ac_ext <<EOF
--#line 11327 "configure"
-+#line 11340 "configure"
- #include "confdefs.h"
-
- #if HAVE_DLFCN_H
-@@ -13660,11 +13673,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:13663: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:13676: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>conftest.err)
- ac_status=$?
- cat conftest.err >&5
-- echo "$as_me:13667: \$? = $ac_status" >&5
-+ echo "$as_me:13680: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s "$ac_outfile"; then
- # The compiler can only warn and ignore the option if not recognized
- # So say no if there are warnings other than the usual output.
-@@ -13764,11 +13777,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:13767: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:13780: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>out/conftest.err)
- ac_status=$?
- cat out/conftest.err >&5
-- echo "$as_me:13771: \$? = $ac_status" >&5
-+ echo "$as_me:13784: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s out/conftest2.$ac_objext
- then
- # The compiler can only warn and ignore the option if not recognized
-@@ -15325,11 +15338,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:15328: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:15341: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>conftest.err)
- ac_status=$?
- cat conftest.err >&5
-- echo "$as_me:15332: \$? = $ac_status" >&5
-+ echo "$as_me:15345: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s "$ac_outfile"; then
- # The compiler can only warn and ignore the option if not recognized
- # So say no if there are warnings other than the usual output.
-@@ -15429,11 +15442,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:15432: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:15445: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>out/conftest.err)
- ac_status=$?
- cat out/conftest.err >&5
-- echo "$as_me:15436: \$? = $ac_status" >&5
-+ echo "$as_me:15449: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s out/conftest2.$ac_objext
- then
- # The compiler can only warn and ignore the option if not recognized
-@@ -17616,11 +17629,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:17619: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:17632: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>conftest.err)
- ac_status=$?
- cat conftest.err >&5
-- echo "$as_me:17623: \$? = $ac_status" >&5
-+ echo "$as_me:17636: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s "$ac_outfile"; then
- # The compiler can only warn and ignore the option if not recognized
- # So say no if there are warnings other than the usual output.
-@@ -17884,11 +17897,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:17887: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:17900: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>conftest.err)
- ac_status=$?
- cat conftest.err >&5
-- echo "$as_me:17891: \$? = $ac_status" >&5
-+ echo "$as_me:17904: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s "$ac_outfile"; then
- # The compiler can only warn and ignore the option if not recognized
- # So say no if there are warnings other than the usual output.
-@@ -17988,11 +18001,11 @@
- -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
- -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
- -e 's:$: $lt_compiler_flag:'`
-- (eval echo "\"\$as_me:17991: $lt_compile\"" >&5)
-+ (eval echo "\"\$as_me:18004: $lt_compile\"" >&5)
- (eval "$lt_compile" 2>out/conftest.err)
- ac_status=$?
- cat out/conftest.err >&5
-- echo "$as_me:17995: \$? = $ac_status" >&5
-+ echo "$as_me:18008: \$? = $ac_status" >&5
- if (exit $ac_status) && test -s out/conftest2.$ac_objext
- then
- # The compiler can only warn and ignore the option if not recognized
-@@ -20960,16 +20973,9 @@
- found_so=
- found_a=
- if test $use_additional = yes; then
-- if test -n "$shlibext" \
-- && { test -f "$additional_libdir/lib$name.$shlibext" \
-- || { test "$shlibext" = dll \
-- && test -f "$additional_libdir/lib$name.dll.a"; }; }; then
-+ if test -n "$shlibext" && test -f "$additional_libdir/lib$name.$shlibext"; then
- found_dir="$additional_libdir"
-- if test -f "$additional_libdir/lib$name.$shlibext"; then
-- found_so="$additional_libdir/lib$name.$shlibext"
-- else
-- found_so="$additional_libdir/lib$name.dll.a"
-- fi
-+ found_so="$additional_libdir/lib$name.$shlibext"
- if test -f "$additional_libdir/lib$name.la"; then
- found_la="$additional_libdir/lib$name.la"
- fi
-@@ -20997,16 +21003,9 @@
- case "$x" in
- -L*)
- dir=`echo "X$x" | sed -e 's/^X-L//'`
-- if test -n "$shlibext" \
-- && { test -f "$dir/lib$name.$shlibext" \
-- || { test "$shlibext" = dll \
-- && test -f "$dir/lib$name.dll.a"; }; }; then
-+ if test -n "$shlibext" && test -f "$dir/lib$name.$shlibext"; then
- found_dir="$dir"
-- if test -f "$dir/lib$name.$shlibext"; then
-- found_so="$dir/lib$name.$shlibext"
-- else
-- found_so="$dir/lib$name.dll.a"
-- fi
-+ found_so="$dir/lib$name.$shlibext"
- if test -f "$dir/lib$name.la"; then
- found_la="$dir/lib$name.la"
- fi
-@@ -21927,13 +21926,6 @@
-
-
-
--
--
--
--
--
--
--
- { echo "$as_me:$LINENO: checking for CFPreferencesCopyAppValue" >&5
- echo $ECHO_N "checking for CFPreferencesCopyAppValue... $ECHO_C" >&6; }
- if test "${gt_cv_func_CFPreferencesCopyAppValue+set}" = set; then
-@@ -22070,37 +22062,17 @@
- LTLIBINTL=
- POSUB=
-
-- case " $gt_needs " in
-- *" need-formatstring-macros "*) gt_api_version=3 ;;
-- *" need-ngettext "*) gt_api_version=2 ;;
-- *) gt_api_version=1 ;;
-- esac
-- gt_func_gnugettext_libc="gt_cv_func_gnugettext${gt_api_version}_libc"
-- gt_func_gnugettext_libintl="gt_cv_func_gnugettext${gt_api_version}_libintl"
--
- if test "$USE_NLS" = "yes"; then
- gt_use_preinstalled_gnugettext=no
-
-
-- if test $gt_api_version -ge 3; then
-- gt_revision_test_code='
--#ifndef __GNU_GETTEXT_SUPPORTED_REVISION
--#define __GNU_GETTEXT_SUPPORTED_REVISION(major) ((major) == 0 ? 0 : -1)
--#endif
--typedef int array [2 * (__GNU_GETTEXT_SUPPORTED_REVISION(0) >= 1) - 1];
--'
-- else
-- gt_revision_test_code=
-- fi
-- if test $gt_api_version -ge 2; then
-- gt_expression_test_code=' + * ngettext ("", "", 0)'
-- else
-- gt_expression_test_code=
-- fi
-+
-+
-+
-
- { echo "$as_me:$LINENO: checking for GNU gettext in libc" >&5
- echo $ECHO_N "checking for GNU gettext in libc... $ECHO_C" >&6; }
--if { as_var=$gt_func_gnugettext_libc; eval "test \"\${$as_var+set}\" = set"; }; then
-+if test "${gt_cv_func_gnugettext1_libc+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF